Bullet Collision Detection & Physics Library: btCollisionObjectFloatData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btCollisionObjectFloatData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btCollisionObject.h>`

Collaboration diagram for btCollisionObjectFloatData:
[legend]

## Public Attributes
void * | m_broadphaseHandle
void * | m_collisionShape
btCollisionShapeData * | m_rootCollisionShape
char * | m_name
btTransformFloatData | m_worldTransform
btTransformFloatData | m_interpolationWorldTransform
btVector3FloatData | m_interpolationLinearVelocity
btVector3FloatData | m_interpolationAngularVelocity
btVector3FloatData | m_anisotropicFriction
float | m_contactProcessingThreshold
float | m_deactivationTime
float | m_friction
float | m_rollingFriction
float | m_contactDamping
float | m_contactStiffness
float | m_restitution
float | m_hitFraction
float | m_ccdSweptSphereRadius
float | m_ccdMotionThreshold
int | m_hasAnisotropicFriction
int | m_collisionFlags
int | m_islandTag1
int | m_companionId
int | m_activationState1
int | m_internalType
int | m_checkCollideWith
int | m_collisionFilterGroup
int | m_collisionFilterMask
int | m_uniqueId

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 650 of file btCollisionObject.h.

## Member Data Documentation

## ◆ m_activationState1

int btCollisionObjectFloatData::m_activationState1

Definition at line 676 of file btCollisionObject.h.

## ◆ m_anisotropicFriction

btVector3FloatData btCollisionObjectFloatData::m_anisotropicFriction

Definition at line 661 of file btCollisionObject.h.

## ◆ m_broadphaseHandle

void* btCollisionObjectFloatData::m_broadphaseHandle

Definition at line 652 of file btCollisionObject.h.

## ◆ m_ccdMotionThreshold

float btCollisionObjectFloatData::m_ccdMotionThreshold

Definition at line 671 of file btCollisionObject.h.

## ◆ m_ccdSweptSphereRadius

float btCollisionObjectFloatData::m_ccdSweptSphereRadius

Definition at line 670 of file btCollisionObject.h.

## ◆ m_checkCollideWith

int btCollisionObjectFloatData::m_checkCollideWith

Definition at line 678 of file btCollisionObject.h.

## ◆ m_collisionFilterGroup

int btCollisionObjectFloatData::m_collisionFilterGroup

Definition at line 679 of file btCollisionObject.h.

## ◆ m_collisionFilterMask

int btCollisionObjectFloatData::m_collisionFilterMask

Definition at line 680 of file btCollisionObject.h.

## ◆ m_collisionFlags

int btCollisionObjectFloatData::m_collisionFlags

Definition at line 673 of file btCollisionObject.h.

## ◆ m_collisionShape

void* btCollisionObjectFloatData::m_collisionShape

Definition at line 653 of file btCollisionObject.h.

## ◆ m_companionId

int btCollisionObjectFloatData::m_companionId

Definition at line 675 of file btCollisionObject.h.

## ◆ m_contactDamping

float btCollisionObjectFloatData::m_contactDamping

Definition at line 666 of file btCollisionObject.h.

## ◆ m_contactProcessingThreshold

float btCollisionObjectFloatData::m_contactProcessingThreshold

Definition at line 662 of file btCollisionObject.h.

## ◆ m_contactStiffness

float btCollisionObjectFloatData::m_contactStiffness

Definition at line 667 of file btCollisionObject.h.

## ◆ m_deactivationTime

float btCollisionObjectFloatData::m_deactivationTime

Definition at line 663 of file btCollisionObject.h.

## ◆ m_friction

float btCollisionObjectFloatData::m_friction

Definition at line 664 of file btCollisionObject.h.

## ◆ m_hasAnisotropicFriction

int btCollisionObjectFloatData::m_hasAnisotropicFriction

Definition at line 672 of file btCollisionObject.h.

## ◆ m_hitFraction

float btCollisionObjectFloatData::m_hitFraction

Definition at line 669 of file btCollisionObject.h.

## ◆ m_internalType

int btCollisionObjectFloatData::m_internalType

Definition at line 677 of file btCollisionObject.h.

## ◆ m_interpolationAngularVelocity

btVector3FloatData btCollisionObjectFloatData::m_interpolationAngularVelocity

Definition at line 660 of file btCollisionObject.h.

## ◆ m_interpolationLinearVelocity

btVector3FloatData btCollisionObjectFloatData::m_interpolationLinearVelocity

Definition at line 659 of file btCollisionObject.h.

## ◆ m_interpolationWorldTransform

btTransformFloatData btCollisionObjectFloatData::m_interpolationWorldTransform

Definition at line 658 of file btCollisionObject.h.

## ◆ m_islandTag1

int btCollisionObjectFloatData::m_islandTag1

Definition at line 674 of file btCollisionObject.h.

## ◆ m_name

char* btCollisionObjectFloatData::m_name

Definition at line 655 of file btCollisionObject.h.

## ◆ m_restitution

float btCollisionObjectFloatData::m_restitution

Definition at line 668 of file btCollisionObject.h.

## ◆ m_rollingFriction

float btCollisionObjectFloatData::m_rollingFriction

Definition at line 665 of file btCollisionObject.h.

## ◆ m_rootCollisionShape

btCollisionShapeData* btCollisionObjectFloatData::m_rootCollisionShape

Definition at line 654 of file btCollisionObject.h.

## ◆ m_uniqueId

int btCollisionObjectFloatData::m_uniqueId

Definition at line 681 of file btCollisionObject.h.

## ◆ m_worldTransform

btTransformFloatData btCollisionObjectFloatData::m_worldTransform

Definition at line 657 of file btCollisionObject.h.

The documentation for this struct was generated from the following file:

- btCollisionObject.h